import request from '@/utils/request'

// 查询监控单元类型列表
export function listMonitorUnitType(query) {
  return request({
    url: '/business/monitorUnitType/list',
    method: 'get',
    params: query
  })
}

// 查询监控单元类型详细
export function getMonitorUnitType(monitorUnitTypeId) {
  return request({
    url: '/business/monitorUnitType/' + monitorUnitTypeId,
    method: 'get'
  })
}

// 新增监控单元类型
export function addMonitorUnitType(data) {
  return request({
    url: '/business/monitorUnitType',
    method: 'post',
    data: data
  })
}

// 修改监控单元类型
export function updateMonitorUnitType(data) {
  return request({
    url: '/business/monitorUnitType',
    method: 'put',
    data: data
  })
}

// 删除监控单元类型
export function delMonitorUnitType(monitorUnitTypeId) {
  return request({
    url: '/business/monitorUnitType/' + monitorUnitTypeId,
    method: 'delete'
  })
}
